use axum::routing::post;

use crate::api::client_server::errors::api_error::ApiError;
use crate::ruma_wrapper::RumaRequest;

use ruma::api::client::room;

pub fn routes() -> axum::Router {
    axum::Router::new()
        .route("/r0/createRoom", post(post_create_room))
        .layer(axum::middleware::from_fn(super::authentication_middleware))
}
async fn post_create_room(
    RumaRequest(_req): RumaRequest<room::create_room::v3::IncomingRequest>,
) -> Result<String, ApiError> {
    Ok("".into())
}
